import { OnChanges, OnInit, EventEmitter, SimpleChanges } from '@angular/core';
import { RatingMetadata, RatingChangeEvent } from './types';
import * as i0 from "@angular/core";
export declare class RatingComponent implements OnInit, OnChanges {
    private presets;
    preset?: string;
    props: Partial<RatingMetadata>;
    resolvedProps: RatingMetadata;
    ratingChange: EventEmitter<RatingChangeEvent>;
    hoverValue: number | null;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private resolveProps;
    get displayValue(): number;
    getStars(): number[];
    getStarIcon(position: number): string;
    getStarColor(position: number): string;
    onStarClick(position: number): void;
    onStarHover(position: number): void;
    onStarLeave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RatingComponent, "val-rating", never, { "preset": { "alias": "preset"; "required": false; }; "props": { "alias": "props"; "required": false; }; }, { "ratingChange": "ratingChange"; }, never, never, true, never>;
}
